<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Warehouse](./bitburner.warehouse.md)

## Warehouse interface

Warehouse for a division in a city

**Signature:**

```typescript
interface Warehouse 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [city](./bitburner.warehouse.city.md) |  | [CityName](./bitburner.cityname.md) | City in which the warehouse is located |
|  [level](./bitburner.warehouse.level.md) |  | number | Amount of size upgrade bought |
|  [size](./bitburner.warehouse.size.md) |  | number | Total space in the warehouse |
|  [sizeUsed](./bitburner.warehouse.sizeused.md) |  | number | Used space in the warehouse |
|  [smartSupplyEnabled](./bitburner.warehouse.smartsupplyenabled.md) |  | boolean | Smart Supply status in the warehouse |

